using System;
using System.Collections.Generic;
using System.Text;
using NUnit.Framework;
using StarEngine;
using StarEngine.Sdl;

namespace StarEngine.Tests.Sdl
{
    /// <remarks>
    /// プロセスの関係で、 C# からのテスト不可能?
    /// </remarks>
    // [TestFixture]
    public class AudioTest
    {
        /*[Test]
        public void TestPlayBgmFailureInvalidPath()
        {
            try
            {
                this.Audio.PlayBgm("Resources/hoge/huga", 0, 255, true);
                Assert.Fail();
            }
            catch (System.IO.FileNotFoundException)
            {
            }
        }

        [Test]
        public void TestPlaySEFailureInvalidPath()
        {
            try
            {
                this.Audio.PlaySE("Resources/hoge/huga", 0, 255, 128);
                Assert.Fail();
            }
            catch (System.IO.FileNotFoundException)
            {
            }
        }*/
    }
}
